Subject: Re: [Capwap] Issue 151: Are all specified message elements required?

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 5 Sep 2006 09:27:56 -0700

Given the lack of interest in this issue, I am marking it as rejected.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Pat Calhoun (pacalhou) 
> Sent: Thursday, August 17, 2006 11:12 AM
> To: [email-masked]
> Subject: [Capwap] Issue 151: Are all specified message 
> elements required?
> 
> Are all specified message elements required? (The obvious 
> answer is "yes", but this document doesn't discuss 
> versioning. For example, what if in a new version of CAPWAP 
> an additional message element was to be added. Would a new 
> message type be created and the additional message element 
> added to it, or the existing type reused?)
> 
> <PRC> This is a great question. In the Diameter protocol we 
> dealt with this issue by including a "Mandatory to implement" 
> bit. If any AVP was received, whose bit was set, yet was not 
> recognized, then the request had to be rejected.
> 
> We could consider something similar here, but I believe with 
> the firmware download component of the protocol it may be 
> less of an issue - although not guaranteed. I would hope (and 
> expect) that as the CAPWAP protocol extends, the AC would 
> push new firmware to the WTP. This does require that the 
> initial part of the state machine be fairly static, and this 
> could be an area where the "Mandatory to implement" bit could 
> be useful as it would allow the AC to fall back to older 
> protocol behavior.
> 
> That said, I know that my company has made significant 
> improvments to the orignally proposed protocol, and this has 
> never been an issue.
> 
> Thoughts? Is this a mandatory feature, or a nice to have? I'd 
> reluctant to add nice to have features at this point.
> 
> Pat Calhoun
> CTO, Wireless Networking Business Unit
> Cisco Systems
> _________________________________________________________________
> To unsubscribe or modify your subscription options, please visit:
> http://lists.frascone.com/mailman/listinfo/capwap
> 
> Archives: http://lists.frascone.com/pipermail/capwap
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap